<!DOCTYPE html>
<html>
  <head>
    <!-- Load TensorFlow.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/4.17.10/lodash.js"> </script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjs/4.4.2/math.js"> </script>
    <script src="https://cdn.jsdelivr.net/npm/@tensorflow/tfjs@0.11.2"> </script>
    <!-- <script src="json/fashion_mnist_train.js"> </script>
    <script src="json/fashion_mnist_test.js"> </script>   -->
    <!-- <script src="json/fashion_mnist_trainSample.js"> </script>
    <script src="json/fashion_mnist_testSample.js"> </script>   -->

    <!-- Place your code in the script tag below. You can also use an external .js file -->
    <script>
      // Notice there is no 'import' statement. 'tf' is available on the index-page
      // because of the script tag above.

      // Define a model for linear regression.
      /*
      const model = tf.sequential();
      model.add(tf.layers.dense({units: 1, inputShape: [1]}));

      // Prepare the model for training: Specify the loss and the optimizer.
      model.compile({loss: 'meanSquaredError', optimizer: 'sgd'});

      // Generate some synthetic data for training.
      const xs = tf.tensor2d([1, 2, 3, 4], [4, 1]);
      const ys = tf.tensor2d([1, 3, 5, 7], [4, 1]);

      // Train the model using the data.
      model.fit(xs, ys, {epochs: 10}).then(() => {
        // Use the model to do inference on a data point the model hasn't seen before:
        // Open the browser devtools to see the output
        model.predict(tf.tensor2d([5], [1, 1])).print();
      });
      */
    </script>
  </head>
  <body>
    <h1>Digits</h1>
    <canvas id="mnistCanvas" width="280" height="280">
        Your browser does not support the HTML5 canvas tag.
    </canvas>
  </body>
  <img id="ItemPreview" src="" />
  <script src="main.js"> </script>
</html>
